+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
title   = "Minecraft Setup"
date    = 2024-02-27
slides  = true
+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

### How to setup the in-game voice chat
so you can talk to other members in the CompSoc Minecraft Server

-------------------------------------------------------------

You can open this presentation on:
(public.skynet.ie)[https://public.skynet.ie] > slides > compsoc > 0_mc-setup.html
to access the links you need.

----------------------------------------------------------------

### Setup in the official Minecraft Launcher
I'll also show you how to do it in **MultiMC** later.

----------------------------------------------

Go to (fabricmc.net)[https://fabricmc.net] and click the **Download** button:
![download_fabric](0_mc-setup/01_fabric-download-1.png)

-----------------------------------------------------------

Then click the **Download** button again:
![download_fabric](0_mc-setup/02_fabric-download-2.png)

---------------------------------------------

Run the downloaded installer and click **Install**:
![install_fabric](0_mc-setup/03_install-fabric.png)

----------------------------------

Next, go to [this](https://modrinth.com/plugin/simple-voice-chat/versions?g=1.20.4&l=fabric) link or to (modrinth.com)[https://modrinth.com] then mods, search for Simple Voice Chat, then the Versions tab.

Now download the latest version for 1.20.4 fabric.

Also do this if you're using MultiMC.

----------------------------------------------------------------

Open the Minecraft Launcher and go to the **Installations** tab:
![installations_tab](0_mc-setup/04_open-launcher.png)

-----------------------------------

Now open the new version's folder:
![open_folder](0_mc-setup/05_open-folder.png)

----------------------------------

Move the downloaded mod into the folder called **mods**:
![mods_folder](0_mc-setup/06_mods-folder.png)

-----------------------------------------

And you're done! 
You can launch the Fabric Minecraft version and join the server using the instructions on [games.skynet.ie](https://games.skynet.ie).

------------------------------------------------------

### MultiMC setup

--------------------------------------------------

Run MultiMC and create a new instance:
![new_instance](0_mc-setup/07_multimc-instance.png)

------------------------------------------------

Select Vanilla 1.20.4 and click **Ok**:
![select_version](0_mc-setup/08_select-version.png)

-----------------------------------------

Now select the version and click on **Edit Instance** in the menu on the right side:
![edit_instance](0_mc-setup/09_edit-instance.png)

----------------------------------------

Click on **Install Fabric** then install the latest version with a star:
![install_fabric_multimc](0_mc-setup/10_multimc-fabric.png)

-----------------------------------------

Go to the **Loader mods** menu:
![install_mod_multimc](0_mc-setup/11_copy-mod-multimc.png)
And add the downloaded mod file:
![add_mod](0_mc-setup/12_add-mod.png)

-----------------------------

And you're done! 
You can launch the Fabric Minecraft version and join the server using the instructions on [games.skynet.ie](https://games.skynet.ie).